<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <%= if assigns[:page_title] do %>
      <title><%= @page_title %></title>
    <% else %>
      <title>Urban Nomad</title>
    <% end %>
    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
  </head>
  <body>
    <div class="l-page">
      <header class="l-header">
        <nav class="m-nav" role="navigation">
          <%= link(gettext("Home"), to: Routes.page_path(@conn, :index)) %>
          <ul class="m-nav__list">
            <li><%= link(gettext("Pricing"), to: Routes.page_path(@conn, :index), class: "m-btn") %></li>
            <li><%= link(gettext("Help"), to: Routes.page_path(@conn, :index), class: "m-btn") %></li>
            <%= if Session.authenticated?(@conn) do %>
              <li><%= link(gettext("Log Out"), to: Routes.session_path(@conn, :destroy), class: "m-btn") %></li>
          <% else %>
            <li><%= link(gettext("Log In"), to: Routes.session_path(@conn, :new), class: "m-btn") %></li>
            <li><%= link(gettext("Get Started"), to: Routes.user_path(@conn, :new), class: "m-btn m-btn--primary m-btn--ghost") %></li>
          <% end %>
          </ul>
        </nav>
      </header>
      <div class="m-flash m-flash--info"><%= get_flash(@conn, :info) %></div>
      <div class="m-flash m-flash--error"><%= get_flash(@conn, :error) %></div>
      <main class="l-main" role="main">
        <%= render @view_module, @view_template, assigns %>
      </main>
      <footer class="l-footer">
        Footer
      </footer>
    </div>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/page.js") %>"></script>
  </body>
</html>
